Subject: Re: bug#10049: 24.0.91; Setting generated-autoload-file as local variable not working correctly

From: David Engster <[email-masked]>
Date: Sun, 20 Nov 2011 20:00:01 +0100

Stefan Monnier writes:
>>> I think it is fixed now.
>> ...and confirmed (again!) ;-)
>
> Could you check if the (additional) patch below works as well?

Yes, it works as well.

I have related question, though: I also tried to work around this thing
by setting `enable-local-variables' to nil:

emacs --batch -l autoload -f toggle-debug-on-error 
 --eval '(setq generated-autoload-file "/home/whatever/test/foo.el")'
 --eval '(setq enable-local-variables nil)'
 -f batch-update-autoloads /home/whatever/test

However, this does not seem to work; the file-local variable is still
the one to which the autoloads are written to. Is this to be expected?

-David